<?xml version="1.0" encoding="GB2312"?>
<FEATURE_CONFIG>
    <VIDEO_MODE>
        <SCENE_MODE Value="SmartTracking"      Feature="SmartTracking" Mode="single"/>
        <SCENE_MODE Value="StoryMode"          Feature="StoryMode" Mode="single"/>
        <SCENE_MODE Value="SlowMo"             Feature="SlowMotion" Mode="single"/>
        <MOVIE_VIDEO_MODE        Feature="MovieVideo"       Mode="single"/>
        <BEAUTY_VIDEO_MODE       Feature="BeautyVideo"      Mode="single"/>
        <SCENE_MODE Value="ApertureVideo"      Feature="ApertureVideo" Mode="single"/>
        <SCENE_MODE Value="ProfessionalVideo"  Feature="ProfessionalVideo" Mode="single"/>
        <SCENE_MODE Value="DualVideo"          Feature="DualVideo" Mode="single"/>
        <SCENE_MODE Value="NormalVideo"        Feature="NormalVideo" Mode="single"/>
    </VIDEO_MODE>
    <CAMERA_CAPTURE>
        <FORE_GROUND_MODE>
            <CYBERVERSE_MODE>
                <RootNode Feature="cyberverseMode" Mode="single"/>
            </CYBERVERSE_MODE>
            <SUPER_CAMERA_NIGHT>
                <RootNode Exps="RAW_BSHUTTER_MODE">
                    <TrueNode Exps="ZOOM &lt; 80">
                        <TrueNode  Feature="BShutterRawRectifyDistortion" Mode="rawBshutter"/>
                        <FalseNode Feature="BShutterRaw" Mode="rawBshutter"/>
                    </TrueNode>
                    <FalseNode Exps="HDR_CAPTURE_NUM > 0">
                        <TrueNode Exps="ZOOM &lt; 80">
                            <TrueNode  Feature="BShutterRectifyDistortion" Mode="bshutter-hdr"/>
                            <FalseNode Feature="BShutter" Mode="bshutter-hdr"/>
                        </TrueNode>
                        <FalseNode Exps="HDR_CAPTURE_NUM &lt;= 0">
                            <TrueNode Exps="ZOOM &lt; 80">
                                <TrueNode  Feature="BShutterRectifyDistortion" Mode="bshutter"/>
                                <FalseNode Feature="BShutter" Mode="bshutter"/>
                            </TrueNode>
                            <FalseNode Exps="BSHUTTER_MODE == 1 &amp;&amp; RAW_BSHUTTER_MODE">
                                <TrueNode Exps="ZOOM &lt; 80">
                                    <TrueNode  Feature="BShutterRawRectifyDistortion" Mode="rawBshutter"/>
                                    <FalseNode Feature="BShutterRaw" Mode="rawBshutter"/>
                                </TrueNode>
                                <FalseNode Feature="normalmode" Mode="single"/>
                            </FalseNode>
                        </FalseNode>
                    </FalseNode>
                </RootNode>
            </SUPER_CAMERA_NIGHT>
            <LIGHT_PAINTING>
                <RootNode Exps="ZOOM &lt; 80">
                    <TrueNode  Feature="BShutterRectifyDistortion" Mode="bshutter"/>
                    <FalseNode Feature="BShutter" Mode="bshutter"/>
                </RootNode>
            </LIGHT_PAINTING>
            <SCENE_MODE Value="TimeLapse">
                <RootNode Exps="TIMELAPSE_MODE">
                    <TrueNode Exps="TIMELAPSE_RAW_HDR_MODE">
                        <TrueNode  Feature="TimeLapseHdrp" Mode="rawhdr"/>
                        <FalseNode Feature="TimeLapseNormal" Mode="single"/>
                    </TrueNode>
                    <FalseNode Feature="normalmode" Mode="single"/>
                </RootNode>
            </SCENE_MODE>
        </FORE_GROUND_MODE>
        <BACK_GROUND_MODE>
            <FRONT_CAMERA_MODE>
                <SCENE_MODE Value="Portrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="FrontCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="IS_FAIRLIGHT_MODE">
                            <TrueNode  Feature="fairlight_front" Mode="beauty"/>
                            <FalseNode Exps="BEAUTY_MODE == 1">
                                <TrueNode  Exps="FRONT_NIGHTSHOT_MODE">
                                    <TrueNode  Feature="frontBeautyNightRawhdrV2" Mode="frontnrawhdr"/>
                                    <FalseNode  Exps="PORTRAIT_MODE">
                                        <TrueNode  Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode  Exps="FRONT_RAW_HDR_MODE">
                                                <TrueNode  Feature="frontBeautyBokehRawhdr" Mode="rawhdr"/>
                                                <FalseNode Feature="FrontBeautyBokehSmartHdrMode" Mode="hdr"/>
                                            </TrueNode>
                                            <FalseNode Exps="FRONT_HDRPLITE_MODE">
                                                <TrueNode Feature="frontbeautyBokehHdrplite" Mode="hdrplite"/>
                                                <FalseNode  Feature="frontbokeh_beauty" Mode="frontbokeh"/>
                                            </FalseNode>
                                        </TrueNode>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode  Exps="FRONT_RAW_HDR_MODE">
                                                <TrueNode  Feature="frontBeautyRawhdr" Mode="rawhdr"/>
                                                <FalseNode Feature="FrontBeautySmartHdrMode" Mode="hdr"/>
                                            </TrueNode>
                                            <FalseNode Exps="FRONT_HDRPLITE_MODE">
                                                <TrueNode Feature="frontbeautyHdrplite" Mode="hdrplite"/>
                                                <FalseNode Exps="FORE_OFFLINE_REMOSAIC_MODE">
                                                    <TrueNode Feature="fbeautyofflineremosaic" Mode="beautyoffremosaic"/>
                                                    <FalseNode  Feature="beauty_front_noneextisp" Mode="beauty"/>
                                                </FalseNode>
                                            </FalseNode>
                                        </FalseNode>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Feature="normalmode" Mode="single"/>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NightShot">
                    <RootNode  Exps="FRONT_NIGHTSHOT_MODE">
                        <TrueNode  Feature="frontBeautyNightRawhdrV2" Mode="frontnrawhdr"/>
                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                            <TrueNode  Exps="FRONT_RAW_HDR_MODE">
                                <TrueNode  Feature="frontBeautyRawhdr" Mode="rawhdr"/>
                                <FalseNode Feature="beauty_front_noneextisp" Mode="beauty"/>
                            </TrueNode>
                            <FalseNode Exps="FRONT_HDRPLITE_MODE">
                                <TrueNode Feature="frontbeautyHdrplite" Mode="hdrplite"/>
                                <FalseNode Exps="FORE_OFFLINE_REMOSAIC_MODE">
                                    <TrueNode Feature="fbeautyofflineremosaic" Mode="beautyoffremosaic"/>
                                    <FalseNode  Feature="beauty_front_noneextisp" Mode="beauty"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="FrontCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                            <TrueNode  Exps="FRONT_RAW_HDR_MODE">
                                <TrueNode  Feature="frontRawhdr" Mode="rawhdr"/>
                                <FalseNode Feature="FrontSmartHdrMode" Mode="hdr"/>
                            </TrueNode>
                            <FalseNode Exps="FRONT_HDRPLITE_MODE">
                                <TrueNode Feature="frontHdrplite" Mode="hdrplite"/>
                                <FalseNode Exps="FORE_OFFLINE_REMOSAIC_MODE">
                                    <TrueNode  Feature="fofflineremosaic" Mode="offremosaic"/>
                                    <FalseNode  Feature="davinciFrontMode" Mode="single"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
            </FRONT_CAMERA_MODE>
            <BACK_CAMERA_MODE>
                <SCENE_MODE Value="Professional">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="SPECIAL_CONDITION_RUN_CAP_SINGLE">
                            <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="PRO_SAVE_RAW_MODE">
                                <TrueNode  Feature="normalmode" Mode="single"/>
                                <FalseNode Exps="REMOSAIC_FULLSIZE">
                                    <TrueNode Exps="LUMA >= 80">
                                        <TrueNode  Feature="rearRemosaicMode" Mode="single"/>
                                        <FalseNode Feature="normalmode"    Mode="single"/>
                                    </TrueNode>
                                    <FalseNode Exps="PRO_CAMERA_SUPER_ISO">
                                        <TrueNode Exps="ELLIP_MODE">
                                            <TrueNode  Feature="EllipAirawMode"  Mode="pronrawhdr"/>
                                            <FalseNode Feature="rearNormalModeRawhdr" Mode="pronrawhdr"/>
                                        </TrueNode>
                                        <FalseNode Exps="PRO_EXPO >= 83333">
                                            <TrueNode  Feature="normalmode" Mode="single"/>
                                            <FalseNode Exps="FLASH_ON_MODE">
                                                <TrueNode Feature="normalmode" Mode="single"/>
                                                <FalseNode Exps="ZOOM > 120 || WIDE_SCENE_MODE">
                                                    <TrueNode  Feature="fullzoomnormalMode"   Mode="opticalzoom"/>
                                                    <FalseNode Exps="PRO_CAMERA_MULTIDENOISE">
                                                        <TrueNode  Feature="multidenoise"   Mode="multidenoise"/>
                                                        <FalseNode Feature="normalmode" Mode="single"/>
                                                    </FalseNode>
                                                </FalseNode>
                                            </FalseNode>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Portrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="PORTRAIT_MODE &amp;&amp; FACE_NUM > 0">
                            <TrueNode Exps="ZOOM > 120">
                                <TrueNode Feature="fullzoomAiRawPortrait" Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="aiRawHdrpPortrait" Mode="rawhdr"/>
                                    <FalseNode  Feature="aiRawHdrpLitePortrait" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="IS_FAIRLIGHT_MODE">
                                <TrueNode Exps="FLASH_ON_MODE">
                                    <TrueNode  Feature="fairlightrear" Mode="beauty"/>
                                    <FalseNode Exps="ZOOM > 120">
                                        <TrueNode Feature="FairlightFullzoomAiRaw" Mode="opticalzoom"/>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode Feature="FairlightAiRawHdrp" Mode="rawhdr"/>
                                            <FalseNode Feature="FairlightAiRawHdrplite" Mode="hdrplite"/>
                                        </FalseNode>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="FLASH_ON_MODE">
                                    <TrueNode Exps="ZOOM > 120">
                                        <TrueNode  Feature="NormalBeautyShot" Mode="single"/>
                                        <FalseNode  Exps="FLASH_MULTIDENOISE">
                                            <TrueNode  Feature="FlashMultidenoiseBeauty"  Mode="flashMultidenoiseMode"/>
                                            <FalseNode Feature="FlashsingleBeauty"  Mode="flashSingleMode"/>
                                        </FalseNode>
                                    </TrueNode>
                                    <FalseNode Exps="ZOOM > 120">
                                        <TrueNode Feature="fullzoomAiRawNoFacePortrait" Mode="opticalzoom"/>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode Feature="aiRawHdrpNoFacePortrait" Mode="rawhdr"/>
                                            <FalseNode Feature="aiRawHdrpLiteNoFacePortrait" Mode="hdrplite"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Aperture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="NOT_DUALCAM_TOF_MODE == 0">
                            <TrueNode Exps="ZOOM > 120">
                                <TrueNode Feature="bigApertureZoomNotBokeh"  Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="bigAperturehdrpNotBokeh"  Mode="rawhdr"/>
                                    <FalseNode Feature="bigApertureHdrpLiteNotBokeh" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="ZOOM > 120">
                                <TrueNode Feature="fullzoomAiRawBokehMode"  Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="aiRawHdrpBokehMode"  Mode="rawhdr"/>
                                    <FalseNode Feature="aiRawHdrpLiteBokehMode" Mode="hdrplite"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoCapture">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="SPECIAL_CONDITION_RUN_CAP_SINGLE">
                            <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="REAR_REMOSAIC_CAP_MODE">
                                <TrueNode Exps="LUMA >= 80">
                                    <TrueNode   Feature="rearRemosaicMode" Mode="single"/>
                                    <FalseNode  Feature="normalmode" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="SMALL_FACE_SCENE_MODE">
                                    <TrueNode  Feature="segmentationMask" Mode="single"/>
                                    <FalseNode Exps="ZOOM > 120 &amp;&amp; !WIDE_SCENE_MODE">
                                        <TrueNode Exps="FLASH_ON_MODE">
                                            <TrueNode  Feature="normalmode" Mode="single"/>
                                            <FalseNode Exps="FULLZOOM_MOON_MODE">
                                                <TrueNode  Feature="fullzoomnormalMode" Mode="fullzoom-moon"/>
                                                <FalseNode  Feature="fullzoomAiRawMode" Mode="opticalzoom"/>
                                            </FalseNode>
                                        </TrueNode>
                                        <FalseNode Exps="WIDE_SCENE_MODE">
                                            <TrueNode Exps="FLASH_ON_MODE">
                                                <TrueNode  Feature="normalmode" Mode="single"/>
                                                <FalseNode Exps="OPTICAL_ZOOM_MODE">
                                                    <TrueNode  Feature="fullzoomnormalMode" Mode="opticalzoom"/>
                                                    <FalseNode Exps="RAW_HDR_MODE">
                                                        <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                                                        <FalseNode  Feature="rearNormalModeHdrpLite"  Mode="hdrplite"/>
                                                    </FalseNode>
                                                </FalseNode>
                                            </TrueNode>
                                            <FalseNode  Exps="FLASH_ON_MODE">
                                                <TrueNode  Exps="FLASH_MULTIDENOISE">
                                                    <TrueNode  Feature="flashmultidenoise"  Mode="flashMultidenoiseMode"/>
                                                    <FalseNode Feature="flashsingle"  Mode="flashSingleMode"/>
                                                </TrueNode>
                                                <FalseNode Exps="ELLIP_MODE">
                                                    <TrueNode  Exps="MANUALEV &lt; 0">
                                                        <TrueNode  Feature="hdrpliteAiRaw" Mode="hdrplite"/>
                                                        <FalseNode  Feature="EllipAirawMode" Mode="rawhdr"/>
                                                    </TrueNode>
                                                    <FalseNode Exps="NIGHT_RAW_HDR_MODE">
                                                        <TrueNode  Exps="ENFORCE_TRA_ALGO">
                                                            <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                                                            <FalseNode  Feature="rawhdrAiRaw"  Mode="nrhdr"/>
                                                        </TrueNode>
                                                        <FalseNode Exps="IS_RAW_HDR">
                                                            <TrueNode  Exps="ENFORCE_TRA_ALGO">
                                                                <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                                                                <FalseNode  Feature="rawhdrAiRaw"  Mode="rawhdr"/>
                                                            </TrueNode>
                                                            <FalseNode Exps="QRFUSION_MODE">
                                                                <TrueNode  Exps="ENFORCE_TRA_ALGO">
                                                                    <TrueNode  Feature="rearNormalModeHdrpLite"  Mode="hdrplite"/>
                                                                    <FalseNode  Feature="hdrpliteAiRaw"  Mode="hdrplite"/>
                                                                </TrueNode>
                                                                <FalseNode  Exps="MOTION_STATUS > 2">
                                                                    <TrueNode Exps="MULTIDENOISE_MODE">
                                                                        <TrueNode  Feature="multidenoise"  Mode="multidenoise"/>
                                                                        <FalseNode Feature="normalmode"  Mode="single"/>
                                                                    </TrueNode>
                                                                    <FalseNode  Exps="ENFORCE_TRA_ALGO">
                                                                        <TrueNode  Feature="rearNormalModeHdrpLite"  Mode="hdrplite"/>
                                                                        <FalseNode  Feature="hdrpliteAiRaw"  Mode="hdrplite"/>
                                                                    </FalseNode>
                                                                </FalseNode>
                                                            </FalseNode>
                                                        </FalseNode>
                                                    </FalseNode>
                                                </FalseNode>
                                            </FalseNode>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoAperture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="NOT_DUALCAM_TOF_MODE == 0">
                            <TrueNode Exps="ZOOM > 120">
                                <TrueNode Feature="bigApertureZoomNotBokeh"  Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="bigAperturehdrpNotBokeh"  Mode="rawhdr"/>
                                    <FalseNode Feature="bigApertureHdrpLiteNotBokeh" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="ZOOM > 120">
                                <TrueNode Feature="fullzoomAiRawBokehMode" Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode Feature="aiRawHdrpBokehMode" Mode="rawhdr"/>
                                    <FalseNode Feature="aiRawHdrpLiteBokehMode" Mode="hdrplite"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoPortrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="PORTRAIT_MODE &amp;&amp; FACE_NUM > 0">
                            <TrueNode Exps="ZOOM > 120">
                                <TrueNode Feature="fullzoomAiRawPortrait" Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="aiRawHdrpPortrait" Mode="rawhdr"/>
                                    <FalseNode  Feature="aiRawHdrpLitePortrait" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="IS_FAIRLIGHT_MODE">
                                <TrueNode Exps="FLASH_ON_MODE">
                                    <TrueNode  Feature="fairlightrear" Mode="beauty"/>
                                    <FalseNode Exps="ZOOM > 120">
                                        <TrueNode Feature="FairlightFullzoomAiRaw" Mode="opticalzoom"/>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode Feature="FairlightAiRawHdrp" Mode="rawhdr"/>
                                            <FalseNode Feature="FairlightAiRawHdrplite" Mode="hdrplite"/>
                                        </FalseNode>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="FLASH_ON_MODE">
                                    <TrueNode Exps="ZOOM > 120">
                                        <TrueNode  Feature="NormalBeautyShot" Mode="single"/>
                                        <FalseNode  Exps="FLASH_MULTIDENOISE">
                                            <TrueNode  Feature="FlashMultidenoiseBeauty"  Mode="flashMultidenoiseMode"/>
                                            <FalseNode Feature="FlashsingleBeauty"  Mode="flashSingleMode"/>
                                        </FalseNode>
                                    </TrueNode>
                                    <FalseNode Exps="ZOOM > 120">
                                        <TrueNode Feature="fullzoomAiRawNoFacePortrait" Mode="opticalzoom"/>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode Feature="aiRawHdrpNoFacePortrait" Mode="rawhdr"/>
                                            <FalseNode Feature="aiRawHdrpLiteNoFacePortrait" Mode="hdrplite"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoProfessinal">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="SPECIAL_CONDITION_RUN_CAP_SINGLE">
                            <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="PRO_SAVE_RAW_MODE">
                                <TrueNode  Feature="normalmode"  Mode="single"/>
                                <FalseNode Exps="PRO_CAMERA_SUPER_ISO">
                                    <TrueNode Exps="ELLIP_MODE">
                                        <TrueNode  Feature="EllipAirawMode"  Mode="pronrawhdr"/>
                                        <FalseNode Feature="rearNormalModeRawhdr" Mode="pronrawhdr"/>
                                    </TrueNode>
                                    <FalseNode Exps="PRO_EXPO &lt; 83333">
                                        <TrueNode Exps="FLASH_ON_MODE">
                                            <TrueNode  Feature="normalmode"  Mode="single"/>
                                            <FalseNode Exps="REMOSAIC_FULLSIZE">
                                                <TrueNode Exps="LUMA >= 80">
                                                    <TrueNode  Feature="rearRemosaicMode" Mode="single"/>
                                                    <FalseNode Feature="normalmode"    Mode="single"/>
                                                </TrueNode>
                                                <FalseNode Exps="ZOOM > 120 || WIDE_SCENE_MODE">
                                                    <TrueNode  Feature="fullzoomnormalMode"   Mode="opticalzoom"/>
                                                    <FalseNode Exps="PRO_CAMERA_MULTIDENOISE">
                                                        <TrueNode  Feature="multidenoise"   Mode="multidenoise"/>
                                                        <FalseNode Feature="normalmode" Mode="single"/>
                                                    </FalseNode>
                                                </FalseNode>
                                            </FalseNode>
                                        </TrueNode>
                                        <FalseNode  Feature="normalmode"  Mode="single"/>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="UltraHighRes">
                    <RootNode Exps="SPECIAL_CONDITION_RUN_CAP_SINGLE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="FLASH_ON_MODE">
                            <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="LUMA >= 80">
                                <TrueNode   Feature="rearRemosaicMode" Mode="single"/>
                                <FalseNode  Feature="normalmode" Mode="single"/>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="UltrClarify">
                    <RootNode Exps="HIGHLIGHT_ULTRARES_SCENE">
                        <TrueNode Feature="airawHighResMode" Mode="opticalzoom"/>
                        <FalseNode Exps="RAW_HDR_MODE">
                            <TrueNode Feature="rawhdrAiRaw" Mode="rawhdr"/>
                            <FalseNode Feature="hdrpliteAiRaw"  Mode="hdrplite"/>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Hdr">
                    <RootNode Exps="SPECIAL_CONDITION_RUN_CAP_SINGLE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                        <FalseNode  Exps="WIDE_SCENE_MODE">
                            <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                            <FalseNode  Exps="ZOOM &gt; 120">
                                <TrueNode   Feature="fullzoomAiRawMode"  Mode="opticalzoom"/>
                                <FalseNode  Feature="rawhdrAiRaw"  Mode="rawhdr"/>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Burst">
                    <RootNode Feature="bestshotMode" Mode="burst"/>
                </SCENE_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="SPECIAL_CONDITION_RUN_CAP_SINGLE">
                            <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="REAR_REMOSAIC_CAP_MODE">
                                <TrueNode Exps="LUMA >= 80">
                                    <TrueNode   Feature="rearRemosaicMode" Mode="single"/>
                                    <FalseNode  Feature="normalmode" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="SMALL_FACE_SCENE_MODE">
                                    <TrueNode  Feature="segmentationMask" Mode="single"/>
                                    <FalseNode Exps="ZOOM &gt; 120 &amp;&amp; !WIDE_SCENE_MODE">
                                        <TrueNode Exps="FLASH_ON_MODE">
                                            <TrueNode  Feature="normalmode"  Mode="single"/>
                                            <FalseNode Exps="MOON_SCENE_MODE">
                                                <TrueNode  Feature="fullzoomnormalMode" Mode="fullzoom-moon"/>
                                                <FalseNode  Exps="DIFF_FOV_SCENE">
                                                    <TrueNode  Feature="fullzoomAiRawDiffFovFusion" Mode="opticalzoom"/>
                                                    <FalseNode  Feature="fullzoomAiRawMode" Mode="opticalzoom"/>
                                                </FalseNode>
                                            </FalseNode>
                                        </TrueNode>
                                        <FalseNode Exps="WIDE_SCENE_MODE">
                                            <TrueNode Exps="FLASH_ON_MODE">
                                                <TrueNode  Feature="normalmode" Mode="single"/>
                                                <FalseNode Exps="OPTICAL_ZOOM_MODE">
                                                    <TrueNode  Feature="fullzoomnormalMode" Mode="opticalzoom"/>
                                                    <FalseNode Exps="RAW_HDR_MODE">
                                                        <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                                                        <FalseNode  Feature="rearNormalModeHdrpLite"  Mode="hdrplite"/>
                                                    </FalseNode>
                                                </FalseNode>
                                            </TrueNode>
                                            <FalseNode  Exps="FLASH_ON_MODE">
                                                <TrueNode  Exps="HIGH_DYNAMIC_MODE">
                                                    <TrueNode  Feature="HDFlash"  Mode="flashhdr"/>
                                                    <FalseNode  Exps="FLASH_MULTIDENOISE">
                                                        <TrueNode  Feature="flashmultidenoise"  Mode="flashMultidenoiseMode"/>
                                                        <FalseNode Feature="flashsingle"  Mode="flashSingleMode"/>
                                                    </FalseNode>
                                                </TrueNode>
                                                <FalseNode Exps="ELLIP_MODE">
                                                    <TrueNode  Exps="MANUALEV &lt; 0">
                                                        <TrueNode  Feature="hdrpliteAiRaw" Mode="hdrplite"/>
                                                        <FalseNode  Feature="EllipAirawMode" Mode="rawhdr"/>
                                                    </TrueNode>
                                                    <FalseNode Exps="NIGHT_RAW_HDR_MODE">
                                                        <TrueNode  Exps="ENFORCE_TRA_ALGO">
                                                            <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                                                            <FalseNode  Feature="rawhdrAiRaw"  Mode="nrhdr"/>
                                                        </TrueNode>
                                                        <FalseNode Exps="IS_RAW_HDR">
                                                            <TrueNode  Exps="ENFORCE_TRA_ALGO">
                                                                <TrueNode  Feature="rearNormalModeRawhdr"  Mode="rawhdr"/>
                                                                <FalseNode  Feature="rawhdrAiRaw"  Mode="rawhdr"/>
                                                            </TrueNode>
                                                            <FalseNode Exps="QRFUSION_MODE">
                                                                <TrueNode  Exps="ENFORCE_TRA_ALGO">
                                                                    <TrueNode  Feature="rearNormalModeHdrpLite"  Mode="hdrplite"/>
                                                                    <FalseNode  Feature="hdrpliteAiRaw"  Mode="hdrplite"/>
                                                                </TrueNode>
                                                                <FalseNode  Exps="MOTION_STATUS > 2">
                                                                    <TrueNode Exps="MULTIDENOISE_MODE">
                                                                        <TrueNode  Feature="multidenoise"  Mode="multidenoise"/>
                                                                        <FalseNode Feature="normalmode"  Mode="single"/>
                                                                    </TrueNode>
                                                                    <FalseNode  Exps="ENFORCE_TRA_ALGO">
                                                                        <TrueNode  Feature="rearNormalModeHdrpLite"  Mode="hdrplite"/>
                                                                        <FalseNode  Feature="hdrpliteAiRaw"  Mode="hdrplite"/>
                                                                    </FalseNode>
                                                                </FalseNode>
                                                            </FalseNode>
                                                        </FalseNode>
                                                    </FalseNode>
                                                </FalseNode>
                                            </FalseNode>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
            </BACK_CAMERA_MODE>
        </BACK_GROUND_MODE>
    </CAMERA_CAPTURE>
</FEATURE_CONFIG>
